Skip to main content

Read a container's logs

GET 

/apps/:id/logs

Required role: admin. Only an account or token with the admin role can call this operation.

Example request
curl --request GET \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
"https://$HOSERVA_HOST:8008/api/v1/apps/{id}/logs"

The container's stdout and stderr as plain text: the last tail lines, then, with follow true, every new line as it is written until the client disconnects or the container exits (each line is flushed as it arrives).

Request​

Responses​

The container's log text.